> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/test

> Tests the connection to the API server, and returns its version. You can use this to make sure the API is reachable, and matches the expected version.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Ftest)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /public/test
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /public/test:
    get:
      tags:
        - Supporting
        - Public
      description: >+
        Tests the connection to the API server, and returns its version. You can
        use this to make sure the API is reachable, and matches the expected
        version.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Ftest)

      parameters:
        - in: query
          name: expected_result
          required: false
          schema:
            type: string
            enum:
              - exception
          description: >-
            The value "exception" will trigger an error response. This may be
            useful for testing wrapper libraries.
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 8212
                  method: public/test
                  params: {}
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicTestResponse'
components:
  responses:
    PublicTestResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicTestResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 8212
                result:
                  version: 1.2.26
              description: Response example
      description: Success response
  schemas:
    PublicTestResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: object
          properties:
            version:
              example: 2.1.26
              type: string
              description: The API version
          required:
            - version
      required:
        - jsonrpc
        - result
      type: object

````